apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: django-develop
spec:
  replicas: 1
  template:
    metadata:
      labels:
        environment: develop
        tier: backend
        app: django-develop
    spec:
      containers:
      - name: django
        image: asia.gcr.io/loft-208723/asia.gcr.io/loft-208723/test/django:latest
        imagePullPolicy: Always
        env:
          - name: DATABASE_HOST
            value: cloudsql-proxy
          - name: DATABASE_NAME
            value: dev_loft
          - name: DATABASE_USER
            valueFrom:
              secretKeyRef:
                name: cloudsql
                key: username
          - name: DATABASE_PASSWORD
            valueFrom:
              secretKeyRef:
                name: cloudsql
                key: password
          - name: BRANCH
            value: "master"
          - name: GCS_BUCKET
            value: "loft-tokyo-test"
        ports:
          - containerPort: 8000